Bug 730286 - wget-1.13.4 is available
Summary: wget-1.13.4 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: wget
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-12 11:04 UTC by Upstream Release Monitoring
Modified: 2011-12-19 18:12 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-19 18:12:44 UTC


Attachments (Terms of Use)

Description Upstream Release Monitoring 2011-08-12 11:04:30 UTC
Latest upstream release: 1.13
Current version in Fedora Rawhide: 1.12
URL: http://ftp.gnu.org/gnu/wget/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 1 Upstream Release Monitoring 2011-08-17 11:05:51 UTC
Latest upstream release: 1.13.1
Current version in Fedora Rawhide: 1.12
URL: http://ftp.gnu.org/gnu/wget/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 2 Upstream Release Monitoring 2011-08-31 11:05:17 UTC
Latest upstream release: 1.13.3
Current version in Fedora Rawhide: 1.12
URL: http://ftp.gnu.org/gnu/wget/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 3 Upstream Release Monitoring 2011-09-18 10:51:52 UTC
Latest upstream release: 1.13.4
Current version in Fedora Rawhide: 1.12
URL: http://ftp.gnu.org/gnu/wget/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 4 Account closed by user 2011-10-12 12:56:27 UTC
* Changes in Wget 1.13.4

 - Now --version and --help work again.

 - Fix a build error on solaris 10 sparc.

 - Now --timestamping and --continue work well together.

 - Return a network failure when FTP downloads fail and --timestamping
   is specified.


* Changes in Wget 1.13.3

 - Support HTTP/1.1

 - Now by default the GNU TLS library for secure connections, instead of
   OpenSSL.

 - Fix some portability issues.

 - Handle properly malformed status line in a HTTP response.

 - Ignore zero length domains in $no_proxy.

 - Set new cookies after an authorization failure.

 - Exit with failure if -k is specified and -O is not a regular file.

 - Cope better with unclosed html tags.

 - Print diagnostic messages to stderr, not stdout.

 - Do not use an additional HEAD request when --content-disposition is used,
   but use directly GET.

 - Report the average transfer speed correctly when multiple URL's are specified
   and -c influences the transferred data amount.

 - GNU TLS backend works again.

 - Now --timestamping and --continue works well together.

 - By default, on server redirects, use the original URL to get the
   local file name. Close CVE-2010-2252.  This introduces a
   backward-incompatibility; any script that relies on the old
   behaviour must use --trust-server-names.

 - Fix a problem when -k is used and some URLs are specified trough
   CSS.

 - Convert correctly URLs that need to be encoded to local files when following
   links.

 - Use persistent connections with proxies supporting them.

 - Print the total download time as part of the summary for recursive downloads.

 - Now it is possible to specify a different startup configuration file trough
   the --config option.

 - Fix an infinite loop with the error '<filename> has sprung into existence'
   on a network error and -nc is used.

 - Now --adjust-extension does not modify the file extension if the file ends
   in .htm.

 - Support HTTP/1.1 307 redirects keep request method.

 - Now --no-parent doesn't fetch undesired files if HTTP and HTTPS are used
   by the same host on different pages.

 - Do not attempt to remove the file if it is not in the accept rules but
   it is the output destination file.

 - Introduce `show_all_dns_entries' to print all IP addresses corresponding to
   a DNS name when it is resolved.

Comment 5 Account closed by user 2011-12-05 08:41:32 UTC
ping!

Comment 6 Gwyn Ciesla 2011-12-16 15:11:29 UTC
Karsten, I'm a ProvenPackager, do you have any objecttion to my updating this in rawhide?

Comment 7 Karsten Hopp 2011-12-19 12:26:38 UTC
Thanks for asking!
No objections at all, I'm busy with secondary arch PPC atm and have no idea when I will have some time to do the update.

please go ahead and update wget.

Thanks!

Comment 8 Gwyn Ciesla 2011-12-19 16:30:22 UTC
Cool, will do, just have to finish the patch and it's ready.  Thanks!


Note You need to log in before you can comment on or make changes to this bug.